<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('roles', function (Blueprint $table) {
            $table->boolean("for_contract")
                ->default(false)
                ->nullable()
                ->after("NAME");
            $table->boolean("for_iprs_admins")
                ->default(true)
                ->nullable()
                ->after("NAME");
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('roles', function (Blueprint $table) {
            $table->dropColumn(['for_contract', 'for_iprs_admins']);
        });
    }
};
